# class KServiceGroupFactory | More...
Internal Use Only
Definition | `#include <kservicegroupfactory.h>`
Inherits | KSycocaFactory [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KServiceGroupFactory ()
- virtual ~KServiceGroupFactory ()
- virtual KSycocaEntry * createEntry (const QString &, const char *)
- KServiceGroup * findGroupByDesktopPath ( const QString &_name, bool deep = true )
- KServiceGroup * findBaseGroup ( const QString &_baseGroupName, bool deep = true )

#### Public Static Methods

- static KServiceGroupFactory * self ()

#### Protected Methods

- KServiceGroup* createGroup (int offset, bool deep)
- KServiceGroup* createEntry (int offset)

#### Protected Members

- KSycocaDict *m_baseGroupDict
- int m_baseGroupDictOffset

## Detailed Description

A sycoca factory for service groups (e.g. list of applications) It loads the services from parsing directories (e.g. applnk/)

KServiceGroupFactory () | ### KServiceGroupFactory

Create factory

~KServiceGroupFactory () | ### ~KServiceGroupFactory

[virtual]

KSycocaEntry * createEntry (const QString &, const char *) | ### createEntry

[virtual]

Construct a KServiceGroup from a config file.

Reimplemented from KSycocaFactory.

KServiceGroup * findGroupByDesktopPath ( const QString &_name, bool deep = true ) | ### findGroupByDesktopPath

Find a group ( by desktop path, e.g. "Applications/Editors")

KServiceGroup * findBaseGroup ( const QString &_baseGroupName, bool deep = true ) | ### findBaseGroup

Find a base group by name, e.g. "settings"

KServiceGroupFactory * self () | ### self

[static]

Returns: the unique service group factory, creating it if necessary

KServiceGroup* createGroup (int offset, bool deep) | ### createGroup

[protected]

KServiceGroup* createEntry (int offset) | ### createEntry

[protected]

Reimplemented from KSycocaFactory.

KSycocaDict * m_baseGroupDict | ### m_baseGroupDict

[protected]

int m_baseGroupDictOffset | ### m_baseGroupDictOffset

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.